"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isEqualCaseInsensitive = exports.filters = void 0;
exports.filters = {
    byAddress: (tokenMap, address) => {
        return Object.values(tokenMap).find((token) => (0, exports.isEqualCaseInsensitive)(token.address, address));
    },
    native: (tokenMap) => {
        return exports.filters.byAddress(tokenMap, "native");
    },
    bySymbol: (tokenMap, symbol) => {
        const foundTokens = Object.values(tokenMap).filter((token) => token.symbol === symbol);
        return foundTokens && foundTokens.length > 0 ? foundTokens : undefined;
    },
    byKey: (tokenMap, key) => {
        const foundToken = Object.entries(tokenMap).find(([_key]) => key === _key);
        return foundToken ? foundToken[1] : undefined;
    },
};
const isEqualCaseInsensitive = (a, b) => {
    return a.toLowerCase() === b.toLowerCase();
};
exports.isEqualCaseInsensitive = isEqualCaseInsensitive;
//# sourceMappingURL=tokens.js.map